# Class CIM_DNSGeneralSettingData
extends CIM_IPAssignmentSettingData

The DNSGeneralSettingData class represents the system wide configuration options for the DNS client. Therefore, these configuration parameters are scoped to a computer system and are applicable to all of the network interfaces of the scoping system.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_IPAssignmentSettingData
|
+--CIM_DNSGeneralSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The DNSGeneralSettingData class represents the system wide configuration options for the DNS client. Therefore, these configuration parameters are scoped to a computer system and are applicable to all of the network interfaces of the scoping system.
UMLPackagePath | string | CIM::Network::DNS
Version | string | 2.14.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddressOrigin | uint16 | 2
Description | string | AddressOrigin identifies the method by which the IP Address, Subnet Mask, and Gateway were assigned to the IPProtocolEndpoint. This is independent of the DNS configuration, thus this property has the value of 2 ("Not Applicable")
Override | string | AddressOrigin
ValueMap | string | 0..1, 2, 3..32767, 32768..
Values | string | DMTF Reserved, Not Applicable, DMTF Reserved, Vendor Reserved
AppendParentSuffixes | boolean |
Description | string | Whether or not the client should automatically append the parent domain suffix to target names prior to attempting to resolve.
ModelCorrespondence | string | CIM_DNSProtocolEndpoint.AppendParentSuffixes
Write | boolean | true
AppendPrimarySuffixes | boolean |
Description | string | Whether or not the client should automatically append the primary domain suffix to target names prior to attempting to resolve.
ModelCorrespondence | string | CIM_DNSProtocolEndpoint.AppendPrimarySuffixes
Write | boolean | true
DNSSuffixesToAppend | string[] |
Description | string | DNS suffixes to append when attempting to resolve a hostname.
ModelCorrespondence | string | CIM_DNSProtocolEndpoint.DNSSuffixesToAppend
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData
ProtocolIFType | uint16 | CIM_IPAssignmentSettingData

## Class Methods